package com.yovinchen.xlcs.payment.controller;

import com.yovinchen.xlcs.common.result.Result;
import com.yovinchen.xlcs.payment.service.AlipayService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * ClassName: AlipayController
 * Package: com.yovinchen.xlcs.payment.controller
 *
 * @author yovinchen
 * @since 2024/2/22 16:42
 */
@Api(tags = "支付宝支付接口")
@RestController
@RequestMapping("/api/payment/alipay")
@Slf4j
public class AlipayController {

    @Autowired
    private AlipayService alipayService;

    /**
     * 1.统一收单下单并支付页面接口的调用
     */
    @ApiOperation(value = "统一收单下单并支付页面接口的调用")
    @GetMapping("/createPay/{orderNo}")
    public Result createPay(@PathVariable("orderNo") String orderNo) {
        Map<String, String> map = alipayService.createPay(orderNo);
        return Result.ok(map);
    }

    /**
     * 2.支付成功之后的异步通知
     */
    @ApiOperation("支付成功之后的异步通知")
    @PostMapping("/trade/notify")
    public String tradeNotify(@RequestParam Map<String, String> params) {

        return alipayService.tradeNotify(params);
    }
}
