package com.yovinchen.xlcs.sys.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yovinchen.xlcs.model.sys.Region;

import java.util.List;

/**
 * <p>
 * 地区表 服务类
 * </p>
 *
 * @author yovinchen
 * @since 2023-09-14
 */
public interface RegionService extends IService<Region> {

    /**
     * 根据区域关键字查询区域列表信息
     *
     * @param keyword
     * @return
     */
    List<Region> getRegionByKeyword(String keyword);

    /**
     * 根据父级ID查询区域列表信息
     *
     * @param parentId
     * @return
     */
    List<Region> getRegionByParentId(String parentId);
}
