package com.yovinchen.xlcs.user.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yovinchen.xlcs.common.result.Result;
import com.yovinchen.xlcs.user.service.LeaderService;
import com.yovinchen.xlcs.vo.user.LeaderQueryVo;
import com.yovinchen.xlcs.vo.user.LeaderVo;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 团长表 前端控制器
 * </p>
 *
 * @author yovinchen
 * @since 2024-01-30
 */
@RestController
@RequestMapping("admin/user/leader")
public class LeaderController {

    @Autowired
    private LeaderService leaderService;

    //    admin/user/leader/checkList/${page}/${limit}
//    getPageCheckList
    @ApiOperation(value = "获取页面列表")
    @GetMapping("getPageCheckList/{page}/{limit}")
    public Result<IPage<LeaderVo>> getPageCheckList(@ApiParam(name = "page", value = "当前页码", required = true) @PathVariable Long page,
                                                    @ApiParam(name = "limit", value = "每页记录数", required = true) @PathVariable Long limit,
                                                    @ApiParam(name = "LeaderQueryVo", value = "查询对象", required = false) LeaderQueryVo leaderQueryVo) {
        try {
            Page<LeaderVo> pageParam = new Page<>(page, limit);
            IPage<LeaderVo> pageModel = leaderService.selectPage(pageParam, leaderQueryVo);
            return Result.ok(pageModel);
        } catch (Exception e) {
            throw new RuntimeException("获取sku分页列表异常", e);
        }
    }


}

